#ifndef _Handle_PGeom_TrimmedCurve_HeaderFile
#define _Handle_PGeom_TrimmedCurve_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PGeom_BoundedCurve_HeaderFile
#include <Handle_PGeom_BoundedCurve.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PGeom_BoundedCurve);
class PGeom_TrimmedCurve;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PGeom_TrimmedCurve);

class Handle(PGeom_TrimmedCurve) : public Handle(PGeom_BoundedCurve) {
  public:

    Handle(PGeom_TrimmedCurve)():Handle(PGeom_BoundedCurve)() {} 
    Handle(PGeom_TrimmedCurve)(const Handle(PGeom_TrimmedCurve)& aHandle) : Handle(PGeom_BoundedCurve)(aHandle) 
     {
     }

    Handle(PGeom_TrimmedCurve)(const PGeom_TrimmedCurve* anItem) : Handle(PGeom_BoundedCurve)((PGeom_BoundedCurve *)anItem) 
     {
     }

    Handle(PGeom_TrimmedCurve)& operator=(const Handle(PGeom_TrimmedCurve)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PGeom_TrimmedCurve)& operator=(const PGeom_TrimmedCurve* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PGeom_TrimmedCurve* operator->() const 
     {
      return (PGeom_TrimmedCurve *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PGeom_TrimmedCurve) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
